Changes between Version 7 and Version 8 of Security0607


Ignore:
Timestamp:
07/08/06 20:14:54 (13 years ago)
Author:
lawrence
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Security0607

    v7 v8  
    1010 
    1111 
    12 == Obsolete Material Follows, still to be relocated to appropriate pages == 
    13  
    14  1. Need a Java Interface to the smClient library 
    15  1. Migrate internal web service communication to WS-Security 
    16    1. but note that WSDL and WS-Security imply the necessity for [http://www-128.ibm.com/developerworks/library/specification/ws-polatt/ WS-PolicyAttachment]. ([http://mail-archives.apache.org/mod_mbox/ws-fx-dev/200606.mbox/<449C0117.1060507%40iona.com> for example]) 
    17    1. Could we use pyGlobus?  
    18      1. Huge list of dependencies? 
    19      1. What about the issue below about client dependencies? 
    20      1. But maybe we'd get ibm-websphere integration for free. 
    21  1. Need to package things better for simpler installation 
    22    1. Note that the securityClient package which should be used by application developers has to have the minimal set of dependencies we can possibly get away with! [http://www-unix.globus.org/mail_archive/discuss/2006/05/msg00139.html This thread] is enough to put anyone off using the GT4 toolkit (and by extension, pyGlobus). 
    23  
    24  
    25 [[Image(source:TI12-security/trunk/architecture/uml/GeneralServices.JPG)]]